#include "testApp.h"
#include "ofMain.h"
#include "circle.h"

//--------------------------------------------------------------
void testApp::setup(){

	ofSetVerticalSync(true);

	ofBackground(255, 255, 255);
	TPR.setup();
	playbackStartTime = 0;
	
	for( int i=0; i<20; i++){
		
		myCircle[i].pos.x = ofRandom(0,ofGetWidth());
		myCircle[i].pos.y = ofRandom(0,ofGetHeight());
		
		//myCircle[i].circleSize = 10*i;
	}
	
}


//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){

	
	// -------------------------- draw the line
	TPR.draw();
	
	// -------------------------- draw the point at the current time
	if (TPR.bHaveADrawing()){			// if we have a drawing to work with
		
		// figure out what time we are at, and make sure we playback cyclically (!)
		// use the duration here and make sure our timeToCheck is in the range of 0 - duration
		float timeToCheck = ofGetElapsedTimef() - playbackStartTime;
		while (timeToCheck > TPR.getDuration() && TPR.getDuration() > 0){
			timeToCheck -= TPR.getDuration();
		}
		
		// get the position and velocity at timeToCheck
		ofPoint pos = TPR.getPositionForTime(timeToCheck);
		
		float sizeVariable = ofMap(pos.y, 0, ofGetHeight(), 40, 200);
		
		
		for( int i=0; i<10; i++){
			myCircle[i].sizeVariable = sizeVariable;
			
		}
		
		
		float bgColor = ofMap(pos.y, 0, ofGetHeight(), 20, 200);
		ofBackground(bgColor, bgColor, bgColor);
		
		ofFill();
		ofSetColor(255,0,0,sizeVariable);
		ofCircle(pos.x, pos.y, 10);
		
		
	}
	
	
	ofSetColor(255,0,0);
	ofDrawBitmapString("height of dot controls background color", 30, 30);
	
	
	for( int i=0; i<10; i++){
		myCircle[i].draw();
	
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	TPR.addPoint(x,y);
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	TPR.startDrawing(x,y);
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	TPR.endDrawing();
	playbackStartTime = ofGetElapsedTimef();
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}



